wkd-exporter(1)

NAME
wkd-exporter - WKD exporter

SYNOPSIS
wkd-exporter [--domain] [--append] [--direct] [-h|--help] <WELL_KNOWN>

DESCRIPTION
WKD exporter.

Exports a given OpenPGP keyring into a directory structure required by the Web Key Directory specification.

OPTIONS

--domain <DOMAIN>
    Only export the following domain (may be given multiple times). By default all domains are exported but if this option is given only the selected ones will be exported.

--append
    Append incoming certificates to the ones already existing in `.well-known`. Enable this option if you have multiple certificates containing the same local-part and want them all to be part of the WKD export. Note that running the same process twice with append and the same `.well-known` will duplicate the certificates there.

--direct <DIRECT>
    Select direct WKD variant with a filter for this single domain

-h, --help
    Print help (see a summary with '-h')

<WELL_KNOWN>
    Well known directory that will be the output of the exporting process

EXIT STATUS
On success the application returns 0.
On failure the following exit codes are used:
2
    Processing OpenPGP data failed.
3
    Reading or writing files failed.

EXAMPLES
For bigger deployments, using the advanced variant with a domain filter is recommended:
```sh
$ DIR=$(mktemp -d)
$ gpg --export | wkd-exporter --append --domain archlinux.org $DIR
$ tree $DIR | head
/tmp/tmp.ZaHdlAQGRw
└── openpgpkey
    └── archlinux.org
        ├── hu
        │   ├── 46yqwra65to1p94e9ebafpucymkwsi7f
        │   ├── 9drt4xorn699rkbj5xyq7ykoc1z5nnof
        │   ├── 9hy3wi4ewwiicomnjmhewifn6d1gi87i
        │   ├── 9sh859e31bn46hmfxyftn3ymop5ewdkz
        │   ├── b9qi357oeysqibkxmmh3hanrppd6nj9p
        │   ├── btfkn1ht1kzda3e9495fe4sjznkygui4
```
For smaller deployments, direct variant may be more appropriate:
```sh
$ DIR=$(mktemp -d)
$ gpg --export | wkd-exporter --append --direct metacode.biz $DIR
$ tree $DIR | head
/tmp/tmp.cxEBeXnwdv
└── openpgpkey
    ├── hu
    │   └── gebusffkx9g581i6ch4t3ewgwd6dctmp
    └── policy
```
Logging can be enabled using `RUST_LOG` environment variable (e.g. `RUST_LOG=wkd_exporter=debug` enables debug-level logging).
Errors are always logged, regardless of the log level, and the exit status indicates the type of the error.

BUGS
Please report all bugs to https://gitlab.archlinux.org/archlinux/wkd-exporter

AUTHORS
Wiktor Kwapisiewicz <wiktor@metacode.biz>

COPYRIGHT
MIT OR Apache-2.0